### Struct

# Rest Params

#### Description

    struct RestParams {
      /* No available fields */
    }

No description available.

#### Constructors

###### rest_params_new

Create a new `RestParams`.

#### Instance methods

###### rest_params_add

Add `param` to `params`.

###### rest_params_are_strings

Checks if the parameters are all simple strings (have a content type of “text/plain”).

###### rest_params_as_string_hash_table

Create a new `GHashTable` which contains the name and value of all string (content type of text/plain) parameters.

###### rest_params_copy

Makes a deep copy of a `RestParams`.

###### rest_params_get

Return the `RestParam` called `name`, or `NULL` if it doesn’t exist.

###### rest_params_ref

Increments the reference count of `self` by one.

###### rest_params_remove

Remove the `RestParam` called `name`.

###### rest_params_unref

Decrements the reference count of `self` by one, freeing the structure when the reference count reaches zero.